<template>
  <tab-button class="foot_tabset" :active="-1">
    <tabs header="登录查询" v-if="permission('登录查询')">
      <login-query v-if="show.includes('登录查询')"></login-query>
    </tabs>
  </tab-button>

</template>

<script>
  import TabButton from "../common/TabButton";
  import Tabs from "../common/Tabs";

  export default {
    title: '登录查询',
    data(){
      return{
        show: []
      }
    },
    components: {Tabs, TabButton},
    methods: {
      permission (name) {
        if (this.$login.r.find(value => value == '综合查询')) {
          if (!this.$login.r.find(value => value == name)) {
            return false
          }
        }
        return true
      }
    }
  }
</script>

<style scoped>
</style>
